Summary: An ODBC class library that emulates the JDBC interface
Name: libodbc++
Version: 0.2.2pre4
Release: 13
License: LGPL
Group: Development/Libraries
Source: http://orcane.net/freeodbc++/%{name}-%{version}.tar.bz2
Patch0: libodbc++-0.2.2pre2-fixbuildroot.patch
URL: http://orcane.net/freeodbc++/
BuildRoot: %{_tmppath}/%{name}-root
Requires: unixODBC
Conflicts: iodbc
BuildPrereq: unixODBC-devel


%description
This C++ library provides an interface based on the (Java) JDBC protocol.
It includes additional support for KDE-integration.

If you want to develop programs that will use the odbc++ library,
you will also need to install the libodbc++-devel package.

%package devel
Summary: Development files for programs which use the odbc++ library.
Group: Development/Libraries
Requires: libodbc++ = %{version}
Requires: unixODBC-devel
Conflicts: iodbc

%description devel
This C++ library provides an interface based on the (JAVA) JDBC protocol.

If you want to develop programs that will use the odbc++ library,
you'll need this package, as well as the libodbc++ package and the 
unixODBC and unixODBC-devel packages.

%package qt
Summary: qt libodbc++ libraries
Group: System Environment/Libraries
Conflicts: iodbc

%description qt
This C++ library provides an interface based on the (JAVA) JDBC protocol.
This package includes additional support for QT integration.

%prep
%setup -q
%patch0 -p1 -b .fixbuildroot
automake

%build
export QTDIR=
. /etc/profile.d/qt.sh

%configure \
	--enable-threads \
	--with-odbc \
	--with-qt --with-gnu-ld
make clean
make all

%install
export QTDIR=
. /etc/profile.d/qt.sh
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/odbc++
%makeinstall

%clean
rm -rf %RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post qt -p /sbin/ldconfig

%postun qt -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libodbc++.so.4*
%doc AUTHORS BUGS COPYING ChangeLog NEWS THANKS TODO README.*

%files devel
%defattr(-,root,root)
%{_libdir}/libodbc++.so
%{_libdir}/libodbc++.la
%{_includedir}/odbc++/*
%doc doc

%files qt
%defattr(-,root,root)
/usr/lib/libodbc++_qt.*

%changelog
* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- disable debugging
- rebuild

* Tue Dec 19 2000 Preston Brown <pbrown@redhat.com>
- ldconfig in %%post for qt subpkg

* Mon Dec 11 2000 Preston Brown <pbrown@redhat.com>
- 0.2.2pre4
- remove excludearch for ia64

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Florian La Roche <laroche@redhat.de>
- small typo fix

* Wed Jun 28 2000 Preston Brown <pbrown@redhat.com>
- explicitly set QTDIR, don't rely on previous environment var.

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- defattr tags

* Fri Jun 09 2000 Preston Brown <pbrown@redhat.com>
- adopt for Winston, use Red Hat packaging macros/standards

* Mon Apr 17 2000 Murray Todd Williams <murray@codingapes.com>
- libodbc++-0.2.2pre2
- moved install to $RPM_BUILD_ROOT (/var/tmp/libodbc++-root)
- removed /usr/bin/isql from file list (don't know why it was there.
  Seems to be a unixODBC program.  Weird.
